# $Id: kbear.spec,v 1.5 2003/09/03 14:19:21 rexdieter Exp $

## kde-redhat macros
%define rhversion %(perl -pe '/(\\d+)\\.?(\\d)?/; $_="$1".($2||0)' /etc/redhat-release)
%define kdelibs_ver 6:3.1

%if "%{rhversion}" >= "80"
%define desktop_file 1
BuildRequires: desktop-file-utils >= 0.3
%else
%define configure_opts --program-prefix="%{?program_prefix}"
%endif

%define fedora_release .fdr.0%{!?_without_dist:.rh%{rhversion}}

Summary: K Desktop Environment - Graphical FTP client.
Name:	 kbear
Epoch:	 4
Version: 2.1
Release: 2%{?fedora_release} 
Url: 	 http://kbear.sourceforge.net/
Source:	 http://prdownloads.sourceforge.net/kbear/kbear-2.1-1.src.tar.bz2
Group: 	 Applications/Internet 
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: kdelibs-devel => %{kdelibs_ver}

Requires: kdelibs => %{kdelibs_ver}


%description
KBear is a graphical ftp client for KDE with ability to connect to
multiple hosts simultanously.

$Revision: 1.5 $


%prep
%setup -q 


%build
%configure \
%if "%{?debug}" != "1"
	--disable-dependency-tracking \
	--disable-debug --disable-warnings \
	--enable-final \
%endif
	--enable-shared --disable-static \
	%{?configure_opts}

make %{?_smp_mflags} 


%install
rm -rf %{buildroot}
%makeinstall

%find_lang %{name}

%if "%{?desktop_file}" == "1"
mkdir -p %{_datadir}/applications

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Application \
  --add-category Network \
  $RPM_BUILD_ROOT%{_datadir}/applnk/*/*.desktop \
%endif

# From the TO_PACKAGERS file, it says to remove the following files
rm -f $RPM_BUILD_ROOT%{_datadir}/apps/{konqueror,konqiconview,konqlistview}/kpartplugins/kbearsitemanagerui.rc
rm -f $RPM_BUILD_ROOT%{_datadir}/apps/kbearsitemanager/kpartplugins/*.rc


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING KNOWN_BUGS NEWS README TO_PACKAGERS VERSION
%{_bindir}/*
%{_includedir}/kbear
%{_libdir}/kde3/*
%{_libdir}/libkbear*.*
%if "%{?desktop_file}" == "1"
%{_datadir}/applications/*.desktop
%else
%{_datadir}/applnk/Internet/%{name}.desktop
%endif
%{_datadir}/apps/kbear*
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/services/*
%{_datadir}/servicetypes/*.desktop
%lang(cs) %{_datadir}/doc/HTML/cs/kbear
%lang(en) %{_datadir}/doc/HTML/en/kbear
%lang(es) %{_datadir}/doc/HTML/es/kbear
%lang(fr) %{_datadir}/doc/HTML/fr/kbear
%lang(nl) %{_datadir}/doc/HTML/nl/kbear
%lang(sv) %{_datadir}/doc/HTML/sv/kbear


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%changelog
* Wed Jun 25 2003 Bob Tanner <tanner@real-time.com> 2.1-2.fdr.0
- Fedora-ized

* Sat Jan 04 2003 Bob Tanner <tanner@real-time.com>
+ kbear-2.1-1.realtime
- upgraded to 2.1

* Tue Oct 30 2002 Bob Tanner <tanner@real-time.com>
+ kbear-2.0-4.realtime
- added serial to give hint to apt to use this package, not the old one

* Tue Oct 28 2002 Bob Tanner <tanner@real-time.com>
+ kbear-2.0-3.realtime
- added kdelib >= 3.0.4 build requirement
- added gcc >= 3.2 build requirement
- added qt-devel >= 3.0.5 build requirement
- added arts-devel >= 1.0.4 build requirement
- added libpng-devel build requirement
- added kdelib >= 3.0.4 requirement
- added qt >= 3.0.4 requirement

* Tue Oct 22 2002 Bob Tanner <tanner@real-time.com>
+ kbear-2.0-2.realtime
- upgraded to 2.0

* Mon Jul 22 2002 Bob Tanner <tanner@real-time.com>
+ kbear-20020722CVS-realtime.1
- new cvs snapshot

* Thu Jun 20 2002 Bob Tanner <tanner@real-time.com>
+ kbear-20020710CVS-realtime.1
- inital rpm
